JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ImagePixelData::Listener Struct Referenceabstract
juce_graphics » images

Used to receive callbacks for image data changes. More...

`#include <juce_Image.h>`

## Public Member Functions
virtual | ~Listener ()=default
virtual void | imageDataChanged (ImagePixelData *)=0
virtual void | imageDataBeingDeleted (ImagePixelData *)=0

## Detailed Description

Used to receive callbacks for image data changes.

## Constructor & Destructor Documentation

## ◆ ~Listener()

virtual ImagePixelData::Listener::~Listener | ( |  | ) |
| virtual default

## Member Function Documentation

## ◆ imageDataChanged()

virtual void ImagePixelData::Listener::imageDataChanged | ( | ImagePixelData * |  | ) |
| pure virtual

## ◆ imageDataBeingDeleted()

virtual void ImagePixelData::Listener::imageDataBeingDeleted | ( | ImagePixelData * |  | ) |
| pure virtual

The documentation for this struct was generated from the following file:

- juce_Image.h